/*
See the LICENSE.txt file for this sample’s licensing information.

Abstract:
A view that gets displayed when the learn more action buttons is tapped.
*/

import SwiftUI

struct LearnMoreSheetView: View {
    @Environment(\.dismiss) private var dismiss
    var tournament: Tournament
    
    var body: some View {
        VStack(spacing: 20) {
            Text("Pourquoi cette étape ?")
                .font(.title)
            Text("""
                Pour terminer la préparation de votre tournoi et pouvoir commencer à convoquer vos joueurs, vous devez inscrire les paires que vous avez préparé dans Padel Club sur le site beach-padel.app.fft.fr.
                
                Padel Club ne peut pas, pour l'instant, faire cette manipulation automatiquement.
                
                Par contre, vous pouvez exporter les paires que vous avez préparé en un simple fichier texte vous permettant ainsi d'accélérer un peu plus la saisie sur le site fédéral.
                
                Une fois vos que vos paires seront inscrites sur beach-padel.app.fft.fr, vous pourrez les importer à nouveau dans Padel Club en un instant, vous donnant accès aux emails et téléphones des joueurs dans le but de les convoquer.
                
                """)
            .foregroundStyle(.secondary)
            
            
            ShareLink(item: tournament.pasteDataForImporting().createTxtFile(tournament.tournamentTitle(.short))) {
                HStack {
                    Spacer()
                    Text("Exporter les inscriptions")
                    Spacer()
                }
            }
            .buttonStyle(.borderedProminent)

            
            Button("J'ai compris") {
                dismiss()
            }
        }
        .padding([.leading, .trailing], 40)
    }
}
